#include "chdecl.h"
void CH_chcode_choperands(current, sched, cop)
#define ARGUMENTS 8
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c14;
    case 4: goto cb21;
    case 5: goto c22;
    case 6: goto c26;
    case 7: goto c40;
    case 8: goto c42;
    case 9: goto c44;
    case 10: goto c53;
    case 11: goto cb60;
    case 12: goto c61;
    case 13: goto c63;
    case 14: goto c69;
    case 15: goto cb79;
    case 16: goto c80;
    case 17: goto c82;
    case 18: goto c100;
    case 19: goto c102;
    case 20: goto c109;
    case 21: goto c155;
    case 22: goto c169;
    case 23: goto c171;
    case 24: goto c175;
    case 25: goto c184;
    case 26: goto cb195;
    case 27: goto c196;
    case 28: goto c199;
    case 29: goto c201;
    case 30: goto c208;
    case 31: goto c238;
    case 32: goto c247;
    case 33: goto c251;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* prog_lit 4 , 1 */
  if ((ch_returncode = che_prog_lit(DEF(4),QUAL(1),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 5 4 , 2 */
  if ((ch_returncode = che_procedure(DEF(5),DEF(4),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* move 6 5 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6) = REF(5);
  REF(5).tsdr = & dr_bottom;
/* prog_lit 7 , 3 */
  if ((ch_returncode = che_prog_lit(DEF(7),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 8 7 , 4 */
  if ((ch_returncode = che_procedure(DEF(8),DEF(7),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* move 9 8 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9) = REF(8);
  REF(8).tsdr = & dr_bottom;
/* new_table 10 , 5 */
  if ((ch_returncode = che_new_table(DEF(10),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 11 , 6 */
  if ((ch_returncode = che_new_table(DEF(11),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 12 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = & dr_table;
/* initget 13 12 , 0,0 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(13),DEF(12),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c14:
/* get_or_goto 13 12 , 44 */
  if ((ch_returncode = get_selected_object(DEF(13),DEF(12),sched)) != Normal)
     goto c44;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* position 16 13 */
  ch_frame = get_selector_frame(DEF(13),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(16).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(16).tsdr = &dr_integer;
/* unite 15 16 , 0 */
  if ((ch_returncode = che_unite(DEF(15),DEF(16),sched,0)) != Normal)
     goto ch_raise_exception;
/* copy 17 13.0 */
  if((ch_returncode = cp_table(& ch_val, REF(13)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val;
  REF(17).tsdr = & dr_table;
  current->ip = 4;
cb21:
/* call 6 17 10 6 15 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(6),
          arguments[1] = DEF(17),
          arguments[2] = DEF(10),
          arguments[3] = DEF(6),
          arguments[4] = DEF(15),
          arguments[4+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c22:
/* block , 8 */
  if((ch_returncode = che_block(QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* copy 14 13.0 */
  if((ch_returncode = cp_table(& ch_val, REF(13)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).value = ch_val;
  REF(14).tsdr = & dr_table;
/* size 18 14 */
  REF(18).value.integer = REF(14).value.table->size;
  REF(18).tsdr = & dr_integer;
c26:
/* noop */
  
/* ile . 18 =(1) , 38 */
  if ( REF(18).value.integer <= 1 ) goto c38;
/* isubtract 18 18 =(1) */
  if (!chf_isubtract(DEF(18),REF(18).value.integer,1)) goto ch_depletion;
/* privatize 14 */
  if (REF(14).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(14))) != Normal)
       goto ch_raise_exception;
/* lookup_at 19 14 18 */
  if((ch_i = REF(18).value.integer) < 0 || ch_i >= (ch_t = REF(14).value
    .table)->size) goto ch_notfound;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(19).value,ch_i);
  REF(19).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 20 14 18 */
  if ((ch_returncode = remove_at_func(DEF(20),DEF(14),REF(18).value.integer
    )) != Normal) goto ch_raise_exception;
/* copy 21 14 */
  if((ch_returncode = cp_table(& ch_val, REF(14).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).value = ch_val;
  REF(21).tsdr = & dr_table;
/* insert 11 21 */
  if ((ch_returncode = insertfunc(DEF(11),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 26 */
   goto c26;
c38:
/* endblock */
  che_endblock(sched);
/* branch , 14 */
   goto c14;
c40:
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* branch , 14 */
   goto c14;
c42:
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* branch , 14 */
   goto c14;
c44:
/* endget 13 12 */
  end_selector(DEF(13),DEF(12),sched,GET);
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* new_record 22 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).value = ch_val; REF(22).tsdr = & dr_record;
/* move 22.1 3.0 */
  (*(REF(22)DOT(1).tsdr)->finalize)(REF(22)DOT(1).value,F_DISCARD,sched);
  REF(22)DOT(1) = REF(3)DOT(0);
  REF(3)DOT(0).tsdr = & dr_bottom;
/* ilit 22.0 , 0 */
  REF(22)DOT(0).value.integer = 0;
  REF(22)DOT(0).tsdr = & dr_integer;
/* unite 15 22 , 2 */
  if ((ch_returncode = che_unite(DEF(15),DEF(22),sched,2)) != Normal)
     goto ch_raise_exception;
/* copy 23 10 */
  if((ch_returncode = cp_table(& ch_val, REF(10).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).value = ch_val;
  REF(23).tsdr = & dr_table;
/* initget 24 23 , 0,0 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(24),DEF(23),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c53:
/* get_or_goto 24 23 , 63 */
  if ((ch_returncode = get_selected_object(DEF(24),DEF(23),sched)) != Normal)
     goto c63;
/* new_table 14 , 9 */
  if ((ch_returncode = che_new_table(DEF(14),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 25 24.0 */
  if((ch_returncode = (REF(24)DOT(0).tsdr->copy)(& ch_val, REF(24)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).value = ch_val;
  REF(25).tsdr = datarepmap[REF(24)DOT(0).tsdr->number];
/* insert 14 25 */
  if ((ch_returncode = insertfunc(DEF(14),DEF(25),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ilit 15.0.0 , 0 */
  REF(15)DOT(0)DOT(0).value.integer = 0;
  REF(15)DOT(0)DOT(0).tsdr = & dr_integer;
  current->ip = 11;
cb60:
/* call 6 14 10 6 15 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(6),
          arguments[1] = DEF(14),
          arguments[2] = DEF(10),
          arguments[3] = DEF(6),
          arguments[4] = DEF(15),
          arguments[4+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c61:
/* reveal 15 , 2 */
  if (2 != REF(15).value.variant->info.variant_case) goto ch_case_error;
/* branch , 53 */
   goto c53;
c63:
/* endget 24 23 */
  end_selector(DEF(24),DEF(23),sched,GET);
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* dissolve 22 15 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22) = REF(15).value.variant->data[VARIANT_COMPONENT];
  { freedotmain(REF(15).value.variant, VARIANT_SIZE); }
  REF(15).tsdr = & dr_bottom;
/* move 3.0 22.1 */
  (*(REF(3)DOT(0).tsdr)->finalize)(REF(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(0) = REF(22)DOT(1);
  REF(22)DOT(1).tsdr = & dr_bottom;
/* copy 26 11 */
  if((ch_returncode = cp_table(& ch_val, REF(11).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).value = ch_val;
  REF(26).tsdr = & dr_table;
c69:
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* size 27 26 */
  REF(27).value.integer = REF(26).value.table->size;
  REF(27).tsdr = & dr_integer;
/* ile . 27 =(0) , 100 */
  if ( REF(27).value.integer <= 0 ) goto c100;
/* privatize 26 */
  if (REF(26).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(26))) != Normal)
       goto ch_raise_exception;
/* initget 28 26 , 0,0 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(28),DEF(26),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 28 26 */
  if ((ch_returncode = get_selected_object(DEF(28),DEF(26),sched)) != Normal)
     goto ch_raise_exception;
/* remove 14 28 26 */
  if ((ch_returncode = che_remove(DEF(14),DEF(28),DEF(26),sched)) != Normal)
     goto ch_raise_exception;
/* endget 28 26 */
  end_selector(DEF(28),DEF(26),sched,GET);
  current->ip = 15;
cb79:
/* call 9 14 10 6 3.0 29 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(9),
          arguments[1] = DEF(14),
          arguments[2] = DEF(10),
          arguments[3] = DEF(6),
          arguments[4] = DEF(3)DOT(0),
          arguments[5] = DEF(29),
          arguments[5+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c80:
/* branch_false 29 , 69 */
  if ( !REF(29).value.boolean ) goto c69;
/* block , 11 */
  if((ch_returncode = che_block(QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
c82:
/* noop */
  
/* privatize 11 */
  if (REF(11).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(11))) != Normal)
       goto ch_raise_exception;
/* find 30 11 14 , 0 */
  if (findfunc(DEF(30),DEF(11),(
          arguments[0] = DEF(14),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 14 30 11 , 0 */
  if ((ch_returncode = removefunc(DEF(14),DEF(30),DEF(11),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* privatize 14 */
  if (REF(14).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(14))) != Normal)
       goto ch_raise_exception;
/* size 31 14 */
  REF(31).value.integer = REF(14).value.table->size;
  REF(31).tsdr = & dr_integer;
/* isubtract 32 31 =(1) */
  if (!chf_isubtract(DEF(32),REF(31).value.integer,1)) goto ch_depletion;
/* lookup_at 33 14 32 */
  if((ch_i = REF(32).value.integer) < 0 || ch_i >= (ch_t = REF(14).value
    .table)->size) goto ch_notfound;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(33).value,ch_i);
  REF(33).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 18 14 32 */
  if ((ch_returncode = remove_at_func(DEF(18),DEF(14),REF(32).value.integer
    )) != Normal) goto ch_raise_exception;
/* privatize 26 */
  if (REF(26).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(26))) != Normal)
       goto ch_raise_exception;
/* find 34 26 14 , 0 */
  if (findfunc(DEF(34),DEF(26),(
          arguments[0] = DEF(14),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 14 34 26 , 0 */
  if ((ch_returncode = removefunc(DEF(14),DEF(34),DEF(26),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* branch , 82 */
   goto c82;
c97:
/* endblock */
  che_endblock(sched);
/* branch , 69 */
   goto c69;
c100:
/* boolean 35 , TRUE */
  REF(35).value.boolean = TRUE;
  REF(35).tsdr = & dr_boolean;
c102:
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* branch_false 35 , 184 */
  if ( !REF(35).value.boolean ) goto c184;
/* new_table 36 , 6 */
  if ((ch_returncode = che_new_table(DEF(36),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* boolean 35 , FALSE */
  REF(35).value.boolean = FALSE;
  REF(35).tsdr = & dr_boolean;
/* copy 37 3.1 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).value = ch_val;
  REF(37).tsdr = & dr_table;
/* initget 38 37 , 0,0 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(38),DEF(37),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c109:
/* get_or_goto 38 37 , 171 */
  if ((ch_returncode = get_selected_object(DEF(38),DEF(37),sched)) != Normal)
     goto c171;
/* lookup_at 39 3.0 38.0 */
  if((ch_i = REF(38)DOT(0).value.integer) < 0 || ch_i >= (ch_t = 
    REF(3)DOT(0).value.table)->size) goto ch_notfound;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(39).value,ch_i);
  REF(39).tsdr = qdatarepmap[ch_t->tsdr->number];
/* oege . 39.1 =(14) , 117 */
  if ( REF(39)DOT(1).value.ord_enum >= 14 ) goto c117;
/* copy 40 38 */
  if((ch_returncode = (REF(38).tsdr->copy)(& ch_val, REF(38).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).value = ch_val;
  REF(40).tsdr = datarepmap[REF(38).tsdr->number];
/* insert 36 40 */
  if ((ch_returncode = insertfunc(DEF(36),DEF(40),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 109 */
   goto c109;
c117:
/* lookup_at 41 3.0 38.1 */
  if((ch_i = REF(38)DOT(1).value.integer) < 0 || ch_i >= (ch_t = 
    REF(3)DOT(0).value.table)->size) goto ch_notfound;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(41).value,ch_i);
  REF(41).tsdr = qdatarepmap[ch_t->tsdr->number];
/* equal . 41.1 =(15) , 169 */
  if ( REF(41)DOT(1).value.ord_enum == 15 ) goto c169;
/* copy 14 41.0 */
  if((ch_returncode = cp_table(& ch_val, REF(41)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).value = ch_val;
  REF(14).tsdr = & dr_table;
/* privatize 14 */
  if (REF(14).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(14))) != Normal)
       goto ch_raise_exception;
/* size 42 14 */
  REF(42).value.integer = REF(14).value.table->size;
  REF(42).tsdr = & dr_integer;
/* isubtract 43 42 =(1) */
  if (!chf_isubtract(DEF(43),REF(42).value.integer,1)) goto ch_depletion;
/* lookup_at 44 14 43 */
  if((ch_i = REF(43).value.integer) < 0 || ch_i >= (ch_t = REF(14).value
    .table)->size) goto ch_notfound;
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(44).value,ch_i);
  REF(44).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 18 14 43 */
  if ((ch_returncode = remove_at_func(DEF(18),DEF(14),REF(43).value.integer
    )) != Normal) goto ch_raise_exception;
/* boolean 45 , FALSE */
  REF(45).value.boolean = FALSE;
  REF(45).tsdr = & dr_boolean;
/* find_or_goto 46 11 14 , 0,131 */
  if (findfunc(DEF(46),DEF(11),(
          arguments[0] = DEF(14),& arguments[0]),sched,0) == FAILURE) goto c131;
/* boolean 45 , TRUE */
  REF(45).value.boolean = TRUE;
  REF(45).tsdr = & dr_boolean;
c131:
/* not 47 45 */
  REF(47).value.boolean = !REF(45).value.boolean;
  REF(47).tsdr = & dr_boolean;
/* branch_false 47 , 169 */
  if ( !REF(47).value.boolean ) goto c169;
/* copy 14 39.0 */
  if((ch_returncode = cp_table(& ch_val, REF(39)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).value = ch_val;
  REF(14).tsdr = & dr_table;
/* privatize 14 */
  if (REF(14).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(14))) != Normal)
       goto ch_raise_exception;
/* size 48 14 */
  REF(48).value.integer = REF(14).value.table->size;
  REF(48).tsdr = & dr_integer;
/* isubtract 49 48 =(1) */
  if (!chf_isubtract(DEF(49),REF(48).value.integer,1)) goto ch_depletion;
/* lookup_at 50 14 49 */
  if((ch_i = REF(49).value.integer) < 0 || ch_i >= (ch_t = REF(14).value
    .table)->size) goto ch_notfound;
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(50).value,ch_i);
  REF(50).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 18 14 49 */
  if ((ch_returncode = remove_at_func(DEF(18),DEF(14),REF(49).value.integer
    )) != Normal) goto ch_raise_exception;
/* boolean 51 , FALSE */
  REF(51).value.boolean = FALSE;
  REF(51).tsdr = & dr_boolean;
/* find_or_goto 52 11 14 , 0,143 */
  if (findfunc(DEF(52),DEF(11),(
          arguments[0] = DEF(14),& arguments[0]),sched,0) == FAILURE) goto c143;
/* boolean 51 , TRUE */
  REF(51).value.boolean = TRUE;
  REF(51).tsdr = & dr_boolean;
c143:
/* not 53 51 */
  REF(53).value.boolean = !REF(51).value.boolean;
  REF(53).tsdr = & dr_boolean;
/* branch_false 53 , 169 */
  if ( !REF(53).value.boolean ) goto c169;
/* copy 54 41.1 */
  REF(54) = REF(41)DOT(1);
/* oege . 54 =(13) , 155 */
  if ( REF(54).value.ord_enum >= 13 ) goto c155;
/* block , 12 */
  if((ch_returncode = che_block(QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 11 */
  if (REF(11).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(11))) != Normal)
       goto ch_raise_exception;
/* find 55 11 39.0 , 0 */
  if (findfunc(DEF(55),DEF(11),(
          arguments[0] = DEF(39)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 14 55 11 , 0 */
  if ((ch_returncode = removefunc(DEF(14),DEF(55),DEF(11),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c155:
/* equal . 54 39.1 , 169 */
  if ( REF(54).value.ord_enum == REF(39)DOT(1).value.ord_enum ) goto c169;
/* boolean 35 , TRUE */
  REF(35).value.boolean = TRUE;
  REF(35).tsdr = & dr_boolean;
/* equal . 54 =(14) , 164 */
  if ( REF(54).value.ord_enum == 14 ) goto c164;
/* copy 56 38 */
  if((ch_returncode = (REF(38).tsdr->copy)(& ch_val, REF(38).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).value = ch_val;
  REF(56).tsdr = datarepmap[REF(38).tsdr->number];
/* insert 36 56 */
  if ((ch_returncode = insertfunc(DEF(36),DEF(56),FALSE,0)) != Normal)
     goto ch_raise_exception;
c164:
/* privatize 3.0 */
  if (REF(3)DOT(0).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(0))) != Normal)
       goto ch_raise_exception;
/* lookup_at 57 3.0 38.0 */
  if((ch_i = REF(38)DOT(0).value.integer) < 0 || ch_i >= (ch_t = 
    REF(3)DOT(0).value.table)->size) goto ch_notfound;
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(57).value,ch_i);
  REF(57).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 58 3.0 38.0 */
  if ((ch_returncode = remove_at_func(DEF(58),DEF(3)DOT(0),
    REF(38)DOT(0).value.integer)) != Normal) goto ch_raise_exception;
/* move 58.1 54 */
  REF(58)DOT(1) = REF(54);
  REF(54).tsdr = & dr_bottom;
/* insert_at 3.0 58 38.0 */
  ch_i = REF(38)DOT(0).value.integer;
  if (ch_i < 0 || REF(3)DOT(0).value.table->size < ch_i) goto ch_range_error;
  if ((ch_returncode = insertfunc(DEF(3)DOT(0),DEF(58),TRUE, ch_i)) != Normal)
     goto ch_raise_exception;
c169:
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* branch , 109 */
   goto c109;
c171:
/* endget 38 37 */
  end_selector(DEF(38),DEF(37),sched,GET);
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
/* copy 59 36 */
  if((ch_returncode = cp_table(& ch_val, REF(36).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).value = ch_val;
  REF(59).tsdr = & dr_table;
/* initget 60 59 , 0,0 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(60),DEF(59),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c175:
/* get_or_goto 60 59 , 181 */
  if ((ch_returncode = get_selected_object(DEF(60),DEF(59),sched)) != Normal)
     goto c181;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* privatize 3.1 */
  if (REF(3)DOT(1).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(1))) != Normal)
       goto ch_raise_exception;
/* find 62 3.1 60 , 0 */
  if (findfunc(DEF(62),DEF(3)DOT(1),(
          arguments[0] = DEF(60),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 61 62 3.1 , 0 */
  if ((ch_returncode = removefunc(DEF(61),DEF(62),DEF(3)DOT(1),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* branch , 175 */
   goto c175;
c181:
/* endget 60 59 */
  end_selector(DEF(60),DEF(59),sched,GET);
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* branch , 102 */
   goto c102;
c184:
/* size 63 11 */
  REF(63).value.integer = REF(11).value.table->size;
  REF(63).tsdr = & dr_integer;
/* equal . 63 =(0) , 199 */
  if ( REF(63).value.integer == 0 ) goto c199;
/* privatize 11 */
  if (REF(11).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(11))) != Normal)
       goto ch_raise_exception;
/* initget 64 11 , 0,0 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(64),DEF(11),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 64 11 */
  if ((ch_returncode = get_selected_object(DEF(64),DEF(11),sched)) != Normal)
     goto ch_raise_exception;
/* remove 14 64 11 */
  if ((ch_returncode = che_remove(DEF(14),DEF(64),DEF(11),sched)) != Normal)
     goto ch_raise_exception;
/* endget 64 11 */
  end_selector(DEF(64),DEF(11),sched,GET);
/* unite 15 3.0 , 3 */
  if ((ch_returncode = che_unite(DEF(15),DEF(3)DOT(0),sched,3)) != Normal)
     goto ch_raise_exception;
  current->ip = 26;
cb195:
/* call 6 14 10 6 15 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(6),
          arguments[1] = DEF(14),
          arguments[2] = DEF(10),
          arguments[3] = DEF(6),
          arguments[4] = DEF(15),
          arguments[4+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c196:
/* reveal 15 , 3 */
  if (3 != REF(15).value.variant->info.variant_case) goto ch_case_error;
/* dissolve 3.0 15 */
  (*(REF(3)DOT(0).tsdr)->finalize)(REF(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(0) = REF(15).value.variant->data[VARIANT_COMPONENT];
  { freedotmain(REF(15).value.variant, VARIANT_SIZE); }
  REF(15).tsdr = & dr_bottom;
/* branch , 184 */
   goto c184;
c199:
/* boolean 35 , TRUE */
  REF(35).value.boolean = TRUE;
  REF(35).tsdr = & dr_boolean;
c201:
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* branch_false 35 , 247 */
  if ( !REF(35).value.boolean ) goto c247;
/* new_table 36 , 6 */
  if ((ch_returncode = che_new_table(DEF(36),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* boolean 35 , FALSE */
  REF(35).value.boolean = FALSE;
  REF(35).tsdr = & dr_boolean;
/* copy 65 3.1 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).value = ch_val;
  REF(65).tsdr = & dr_table;
/* initget 66 65 , 0,0 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(66),DEF(65),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c208:
/* get_or_goto 66 65 , 234 */
  if ((ch_returncode = get_selected_object(DEF(66),DEF(65),sched)) != Normal)
     goto c234;
/* lookup_at 67 3.0 66.0 */
  if((ch_i = REF(66)DOT(0).value.integer) < 0 || ch_i >= (ch_t = 
    REF(3)DOT(0).value.table)->size) goto ch_notfound;
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(67).value,ch_i);
  REF(67).tsdr = qdatarepmap[ch_t->tsdr->number];
/* oelt 68 67.1 =(14) */
  REF(68).value.boolean = (REF(67)DOT(1).value.ord_enum < 14);
/* ord_case 69 67.4 */
  REF(69).value.ord_enum = REF(67)DOT(4).value.variant->info.variant_case;
  REF(69).tsdr = & dr_ord_enumeration;
/* equal 70 69 =(6) */
  REF(70).value.boolean = (REF(69).value.ord_enum == 6);
  REF(70).tsdr = & dr_boolean;
/* or 71 68 70 */
  REF(71).value.boolean = REF(68).value.boolean|REF(70).value.boolean;
  REF(71).tsdr = & dr_boolean;
/* branch_false 71 , 220 */
  if ( !REF(71).value.boolean ) goto c220;
/* copy 72 66 */
  if((ch_returncode = (REF(66).tsdr->copy)(& ch_val, REF(66).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).value = ch_val;
  REF(72).tsdr = datarepmap[REF(66).tsdr->number];
/* insert 36 72 */
  if ((ch_returncode = insertfunc(DEF(36),DEF(72),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 208 */
   goto c208;
c220:
/* lookup_at 73 3.0 66.1 */
  if((ch_i = REF(66)DOT(1).value.integer) < 0 || ch_i >= (ch_t = 
    REF(3)DOT(0).value.table)->size) goto ch_notfound;
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(73).value,ch_i);
  REF(73).tsdr = qdatarepmap[ch_t->tsdr->number];
/* equal . 73.1 =(15) , 208 */
  if ( REF(73)DOT(1).value.ord_enum == 15 ) goto c208;
/* equal . 67.1 73.1 , 208 */
  if ( REF(67)DOT(1).value.ord_enum == REF(73)DOT(1).value.ord_enum ) goto c208;
/* boolean 35 , TRUE */
  REF(35).value.boolean = TRUE;
  REF(35).tsdr = & dr_boolean;
/* privatize 3.0 */
  if (REF(3)DOT(0).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(0))) != Normal)
       goto ch_raise_exception;
/* lookup_at 74 3.0 66.0 */
  if((ch_i = REF(66)DOT(0).value.integer) < 0 || ch_i >= (ch_t = 
    REF(3)DOT(0).value.table)->size) goto ch_notfound;
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(74).value,ch_i);
  REF(74).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 58 3.0 66.0 */
  if ((ch_returncode = remove_at_func(DEF(58),DEF(3)DOT(0),
    REF(66)DOT(0).value.integer)) != Normal) goto ch_raise_exception;
/* copy 58.1 73.1 */
  REF(58)DOT(1) = REF(73)DOT(1);
/* insert_at 3.0 58 66.0 */
  ch_i = REF(66)DOT(0).value.integer;
  if (ch_i < 0 || REF(3)DOT(0).value.table->size < ch_i) goto ch_range_error;
  if ((ch_returncode = insertfunc(DEF(3)DOT(0),DEF(58),TRUE, ch_i)) != Normal)
     goto ch_raise_exception;
/* branch , 208 */
   goto c208;
c234:
/* endget 66 65 */
  end_selector(DEF(66),DEF(65),sched,GET);
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* copy 75 36 */
  if((ch_returncode = cp_table(& ch_val, REF(36).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_table;
/* initget 76 75 , 0,0 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(76),DEF(75),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c238:
/* get_or_goto 76 75 , 244 */
  if ((ch_returncode = get_selected_object(DEF(76),DEF(75),sched)) != Normal)
     goto c244;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* privatize 3.1 */
  if (REF(3)DOT(1).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(1))) != Normal)
       goto ch_raise_exception;
/* find 77 3.1 76 , 0 */
  if (findfunc(DEF(77),DEF(3)DOT(1),(
          arguments[0] = DEF(76),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 61 77 3.1 , 0 */
  if ((ch_returncode = removefunc(DEF(61),DEF(77),DEF(3)DOT(1),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* branch , 238 */
   goto c238;
c244:
/* endget 76 75 */
  end_selector(DEF(76),DEF(75),sched,GET);
/* discard 75 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).tsdr = & dr_bottom;
/* branch , 201 */
   goto c201;
c247:
/* discard 3.1 */
  (*(REF(3)DOT(1).tsdr)->finalize)(REF(3)DOT(1).value,F_DISCARD,sched);
  REF(3)DOT(1).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c251:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
